# [Roastery](https://brewpixel.com/roastery/)
[![Build Status]()

Roastery is a modern WordPress stack that helps you get started with the best development tools and project structure.

Much of the philosophy behind Roastery is inspired by Roots and the [Twelve-Factor App](http://12factor.net/) methodology including the [WordPress specific version](https://roots.io/twelve-factor-wordpress/).

## Features

* Better folder structure
* Dependency management with [Composer](http://getcomposer.org)
* Easy WordPress configuration with environment specific files
* Environment variables with [Dotenv](https://github.com/vlucas/phpdotenv)
* // Autoloader for mu-plugins (use regular plugins as mu-plugins)

Use [Picker]() for additional features:

* Easy development environments with [Vagrant](http://www.vagrantup.com/)
* Easy server provisioning with [Puppet]() ()
* // One-command deploys

See a complete working example in the [?? repo]().

## Requirements

* PHP >= 5.5
* Composer - [Install](https://getcomposer.org/doc/00-intro.md#installation-linux-unix-osx)

## Installation

1. Clone the git repo - `git clone `
2. Run `composer install`
3. Copy `.env.example` to `.env` and update environment variables:
  * `DB_NAME` - Database name
  * `DB_USER` - Database user
  * `DB_PASSWORD` - Database password
  * `DB_HOST` - Database host
  * `WP_ENV` - Set to environment (`development`, `staging`, `production`)
  * `WP_HOME` - Full URL to WordPress home (http://example.com)
  * `WP_SITEURL` - Full URL to WordPress including subdirectory (http://example.com/wp)
  * `AUTH_KEY`, `SECURE_AUTH_KEY`, `LOGGED_IN_KEY`, `NONCE_KEY`, `AUTH_SALT`, `SECURE_AUTH_SALT`, `LOGGED_IN_SALT`, `NONCE_SALT` - Generate with [wp-cli-dotenv-command](https://github.com/aaemnnosttv/wp-cli-dotenv-command) or from the [WordPress Salt Generator](https://api.wordpress.org/secret-key/1.1/salt/)
4. Add theme(s) in `public_html/content/themes` as you would for a normal WordPress site.
5. Set your site vhost document root to `/path/to/site/public_html/` (`/path/to/site/current/public_html/` if using deploys)
6. Access WP admin at `http://example.com/wp/wp-admin`

## Deploys

There are two methods to deploy Roastery sites out of the box:

* [??]()
* [roastery-capistrano]()

Any other deployment method can be used as well with one requirement:

`composer install` must be run as part of the deploy process.

## Documentation

Roastery documentation is available at []().

## Contributing

Contributions are welcome from everyone. We have [contributing guidelines](CONTRIBUTING.md) to help you get started.

## Community

Keep track of development and community news.

* Participate on the [Roastery Discourse](https://discourse.brewpixel.com/)
* Follow [@brewpixel on Twitter](https://twitter.com/brewpixel)
* Read and subscribe to the [BrewPixel Blog](https://brewpixel.com/blog/)
* Subscribe to the [BrewPixel Newsletter](https://brewpixel.com/subscribe/)
